Bug 229088 - net/kea: update 1.3.0 to 1.4.0
Summary: net/kea: update 1.3.0 to 1.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-17 13:39 UTC by Andrey Pevnev
Modified: 2018-11-10 20:49 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-


Attachments
diff (13.52 KB, patch)
2018-06-17 13:39 UTC, Andrey Pevnev
no flags Details | Diff
update to 1.4.0-P1 instead (19.99 KB, patch)
2018-07-12 19:46 UTC, Andrey Pevnev
no flags Details | Diff
Better patch revision (17.55 KB, patch)
2018-08-15 19:40 UTC, Andrey Pevnev
no flags Details | Diff
revise patch to apply to the current port revision 4 (17.54 KB, patch)
2018-11-10 16:04 UTC, Andrey Pevnev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Pevnev 2018-06-17 13:39:00 UTC
Created attachment 194333 [details]
diff

updated the port to 1.4.0
Comment 1 Jeff Kletsky 2018-06-22 18:51:49 UTC
1.4.0 adds significant functionality over 1.3.0 including high-availability and an expanded control/management API. 

Andre Pevenv's changes to Makefile and distinfo as well as removal of BOOST_VERSION patches agree with my local changes to build 1.4.0 against 11.1-RELEASE-p10.
Comment 2 Andrey Pevnev 2018-07-12 19:46:02 UTC
Created attachment 195095 [details]
update to 1.4.0-P1 instead

Better patch, updates to 1.4.0-P1 and adds CPE. Removes python3.3+ dependency per https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220907
Comment 3 Andrey Pevnev 2018-08-15 19:40:35 UTC
Created attachment 196229 [details]
Better patch revision

Better patch, accounts for the current port revision, return of the libdhcp++.cc patch.
Comment 4 Dries Michiels 2018-10-27 15:25:47 UTC
Maybe you should initiate a review in phabricator or PM the ports mailing list if you want this PR to get attention.
Comment 5 Dries Michiels 2018-10-31 11:49:43 UTC
Also maintainer time-out has passed for some time now.
Comment 6 Andrey Pevnev 2018-11-10 16:04:39 UTC
Created attachment 199111 [details]
revise patch to apply to the current port revision 4
Comment 7 Kurt Jaeger freebsd_committer 2018-11-10 18:58:57 UTC
testbuilds@work
Comment 8 Kurt Jaeger freebsd_committer 2018-11-10 20:46:47 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2018-11-10 20:46:57 UTC
A commit references this bug:

Author: pi
Date: Sat Nov 10 20:46:37 UTC 2018
New revision: 484642
URL: https://svnweb.freebsd.org/changeset/ports/484642

Log:
  net/kea: update 1.3.0 -> 1.4.0-P1

  PR:		229088
  Submitted by:	Andrey Pevnev <apevnev@me.com>
  Reviewed by:	Jeff Kletsky <jeff+freebsd@wagsky.com>
  Approved by:	hrs (maintainer timeout)
  Relnotes:	https://ftp.isc.org/isc/kea/1.4.0/Kea140ReleaseNotes.txt
  		https://ftp.isc.org/isc/kea/1.4.0-P1/Kea140P1ReleaseNotes.txt
  		https://www.isc.org/blogs/kea-1-4-adds-high-availability-mode/
  		https://kb.isc.org/docs/aa-01615

Changes:
  head/net/kea/Makefile
  head/net/kea/distinfo
  head/net/kea/files/patch-src-lib-asiolink-io_acceptor.h
  head/net/kea/files/patch-src-lib-asiolink-io_service.h
  head/net/kea/files/patch-src-lib-asiolink-tcp_socket.h
  head/net/kea/files/patch-src-lib-asiolink-udp_socket.h
  head/net/kea/files/patch-src-lib-asiolink-unix_domain_socket.cc
  head/net/kea/files/patch-src_lib_dhcp_libdhcp++.cc
  head/net/kea/pkg-plist
Comment 10 commit-hook freebsd_committer 2018-11-10 20:49:01 UTC
A commit references this bug:

Author: pi
Date: Sat Nov 10 20:48:46 UTC 2018
New revision: 484643
URL: https://svnweb.freebsd.org/changeset/ports/484643

Log:
  net/kea: change WWW from http to https

  PR:		229088

Changes:
  head/net/kea/pkg-descr